/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.csv.record;

/**
 * blancoCsvファイル定義書から作成されたレコードクラス\nファイル定義[BlancoNLpackGeneratorResult/blancoNLpackGenerator が内部的に利用するCSVファイル。]のレコードクラス\n
 */
public class BlancoNLpackGeneratorResultCsvRecord {
    /**
     * 項目番号: 1\n項目の説明: SymbolicName\n文字列はダブルクオート処理されて入出力されます。\n必須項目\n
     *
     * フィールド: [BundleSymbolicName]。
     */
    private String fBundleSymbolicName;

    /**
     * 項目番号: 2\n項目の説明: URI\n文字列はダブルクオート処理されて入出力されます。\n
     *
     * フィールド: [BundleUri]。
     */
    private String fBundleUri;

    /**
     * 項目番号: 3\n項目の説明: Action\n文字列はダブルクオート処理されて入出力されます。\nMIN長さ: 4\nMAX長さ: 6\n
     *
     * フィールド: [Action]。
     */
    private String fAction;

    /**
     * 項目番号: 4\n項目の説明: Hit\n必須項目\n
     *
     * フィールド: [ReplaceHitCount]。
     */
    private int fReplaceHitCount;

    /**
     * 項目番号: 5\n項目の説明: Mnemon\n必須項目\n
     *
     * フィールド: [ReplaceMnemonicCount]。
     */
    private int fReplaceMnemonicCount;

    /**
     * 項目番号: 6\n項目の説明: Omit\n必須項目\n
     *
     * フィールド: [ReplaceOmitCount]。
     */
    private int fReplaceOmitCount;

    /**
     * 項目番号: 7\n項目の説明: Miss\n必須項目\n
     *
     * フィールド: [ReplaceMissCount]。
     */
    private int fReplaceMissCount;

    /**
     * フィールド [BundleSymbolicName] の値を設定します。
     *
     * フィールドの説明: [項目番号: 1
     * 項目の説明: SymbolicName
     * 文字列はダブルクオート処理されて入出力されます。
     * 必須項目
     * ]。
     *
     * @param argBundleSymbolicName フィールド[BundleSymbolicName]に設定する値。
     */
    public void setBundleSymbolicName(final String argBundleSymbolicName) {
        fBundleSymbolicName = argBundleSymbolicName;
    }

    /**
     * フィールド [BundleSymbolicName] の値を取得します。
     *
     * フィールドの説明: [項目番号: 1
     * 項目の説明: SymbolicName
     * 文字列はダブルクオート処理されて入出力されます。
     * 必須項目
     * ]。
     *
     * @return フィールド[BundleSymbolicName]から取得した値。
     */
    public String getBundleSymbolicName() {
        return fBundleSymbolicName;
    }

    /**
     * フィールド [BundleUri] の値を設定します。
     *
     * フィールドの説明: [項目番号: 2
     * 項目の説明: URI
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @param argBundleUri フィールド[BundleUri]に設定する値。
     */
    public void setBundleUri(final String argBundleUri) {
        fBundleUri = argBundleUri;
    }

    /**
     * フィールド [BundleUri] の値を取得します。
     *
     * フィールドの説明: [項目番号: 2
     * 項目の説明: URI
     * 文字列はダブルクオート処理されて入出力されます。
     * ]。
     *
     * @return フィールド[BundleUri]から取得した値。
     */
    public String getBundleUri() {
        return fBundleUri;
    }

    /**
     * フィールド [Action] の値を設定します。
     *
     * フィールドの説明: [項目番号: 3
     * 項目の説明: Action
     * 文字列はダブルクオート処理されて入出力されます。
     * MIN長さ: 4
     * MAX長さ: 6
     * ]。
     *
     * @param argAction フィールド[Action]に設定する値。
     */
    public void setAction(final String argAction) {
        fAction = argAction;
    }

    /**
     * フィールド [Action] の値を取得します。
     *
     * フィールドの説明: [項目番号: 3
     * 項目の説明: Action
     * 文字列はダブルクオート処理されて入出力されます。
     * MIN長さ: 4
     * MAX長さ: 6
     * ]。
     *
     * @return フィールド[Action]から取得した値。
     */
    public String getAction() {
        return fAction;
    }

    /**
     * フィールド [ReplaceHitCount] の値を設定します。
     *
     * フィールドの説明: [項目番号: 4
     * 項目の説明: Hit
     * 必須項目
     * ]。
     *
     * @param argReplaceHitCount フィールド[ReplaceHitCount]に設定する値。
     */
    public void setReplaceHitCount(final int argReplaceHitCount) {
        fReplaceHitCount = argReplaceHitCount;
    }

    /**
     * フィールド [ReplaceHitCount] の値を取得します。
     *
     * フィールドの説明: [項目番号: 4
     * 項目の説明: Hit
     * 必須項目
     * ]。
     *
     * @return フィールド[ReplaceHitCount]から取得した値。
     */
    public int getReplaceHitCount() {
        return fReplaceHitCount;
    }

    /**
     * フィールド [ReplaceMnemonicCount] の値を設定します。
     *
     * フィールドの説明: [項目番号: 5
     * 項目の説明: Mnemon
     * 必須項目
     * ]。
     *
     * @param argReplaceMnemonicCount フィールド[ReplaceMnemonicCount]に設定する値。
     */
    public void setReplaceMnemonicCount(final int argReplaceMnemonicCount) {
        fReplaceMnemonicCount = argReplaceMnemonicCount;
    }

    /**
     * フィールド [ReplaceMnemonicCount] の値を取得します。
     *
     * フィールドの説明: [項目番号: 5
     * 項目の説明: Mnemon
     * 必須項目
     * ]。
     *
     * @return フィールド[ReplaceMnemonicCount]から取得した値。
     */
    public int getReplaceMnemonicCount() {
        return fReplaceMnemonicCount;
    }

    /**
     * フィールド [ReplaceOmitCount] の値を設定します。
     *
     * フィールドの説明: [項目番号: 6
     * 項目の説明: Omit
     * 必須項目
     * ]。
     *
     * @param argReplaceOmitCount フィールド[ReplaceOmitCount]に設定する値。
     */
    public void setReplaceOmitCount(final int argReplaceOmitCount) {
        fReplaceOmitCount = argReplaceOmitCount;
    }

    /**
     * フィールド [ReplaceOmitCount] の値を取得します。
     *
     * フィールドの説明: [項目番号: 6
     * 項目の説明: Omit
     * 必須項目
     * ]。
     *
     * @return フィールド[ReplaceOmitCount]から取得した値。
     */
    public int getReplaceOmitCount() {
        return fReplaceOmitCount;
    }

    /**
     * フィールド [ReplaceMissCount] の値を設定します。
     *
     * フィールドの説明: [項目番号: 7
     * 項目の説明: Miss
     * 必須項目
     * ]。
     *
     * @param argReplaceMissCount フィールド[ReplaceMissCount]に設定する値。
     */
    public void setReplaceMissCount(final int argReplaceMissCount) {
        fReplaceMissCount = argReplaceMissCount;
    }

    /**
     * フィールド [ReplaceMissCount] の値を取得します。
     *
     * フィールドの説明: [項目番号: 7
     * 項目の説明: Miss
     * 必須項目
     * ]。
     *
     * @return フィールド[ReplaceMissCount]から取得した値。
     */
    public int getReplaceMissCount() {
        return fReplaceMissCount;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.csv.record.BlancoNLpackGeneratorResultCsvRecord[");
        buf.append("BundleSymbolicName=" + fBundleSymbolicName);
        buf.append(",BundleUri=" + fBundleUri);
        buf.append(",Action=" + fAction);
        buf.append(",ReplaceHitCount=" + fReplaceHitCount);
        buf.append(",ReplaceMnemonicCount=" + fReplaceMnemonicCount);
        buf.append(",ReplaceOmitCount=" + fReplaceOmitCount);
        buf.append(",ReplaceMissCount=" + fReplaceMissCount);
        buf.append("]");
        return buf.toString();
    }
}
